> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4seletpay.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Eventos de fatura

> invoice.created, invoice.paid e invoice.failed no formato v2.

Os eventos de fatura são enviados no formato v2 apenas para faturas de assinaturas criadas por `POST /v2/subscriptions`. O `data` é o mesmo objeto devolvido por [`GET /v2/invoices/{id}`](/pages/v2/faturas/get).

| Evento            | Quando acontece                                                    |
| ----------------- | ------------------------------------------------------------------ |
| `invoice.created` | Uma fatura de **renovação** foi gerada                             |
| `invoice.paid`    | A fatura foi paga                                                  |
| `invoice.failed`  | A cobrança da fatura falhou. O motivo vem em `data.failure_reason` |

<Note>
  * A primeira fatura não gera `invoice.created`: ela já vem na resposta de `POST /v2/subscriptions`.
  * A cobrança paga de uma fatura gera `invoice.paid`, e não `charge.paid`.
</Note>

***

## Exemplo

```json invoice.failed theme={null}
{
  "id": "hook_Ws5Ed9Rf3Tg7Yh1u",
  "type": "invoice.failed",
  "webhook_version": "v2",
  "created_at": "2026-09-14T15:04:05Z",
  "data": {
    "id": "482913",
    "object": "invoice",
    "subscription": "sub_4Hn8Qw2Rt6Yp1Zx3",
    "number": 2,
    "status": "failed",
    "currency": "brl",
    "amount": 11000,
    "attempts": 1,
    "items": [
      { "code": "SKU-SUB", "description": "Assinatura", "quantity": 1, "amount": 10000 }
    ],
    "discounts": [],
    "increments": [
      { "type": "percentage", "value": 10, "invoice_number": 2 }
    ],
    "payments": [
      {
        "id": "cha_8Kq2Lm9XvB3nT7pZ",
        "object": "payment_intent",
        "status": "failed",
        "amount": 11000,
        "amount_refunded": 0,
        "currency": "brl",
        "payment_method_details": { "type": "card" }
      }
    ],
    "next_action": null,
    "created_at": "2026-09-14T15:00:00-03:00",
    "failure_reason": {
      "code": "insufficient_funds",
      "message": "O cartão não possui saldo suficiente para concluir o pagamento.",
      "customer_message": "Não foi possível concluir o pagamento. Revise os dados informados ou tente outro meio de pagamento.",
      "merchant_message": "O pagamento não foi concluído. Oriente o comprador a revisar os dados informados ou tentar outro meio de pagamento."
    }
  }
}
```

Veja os campos e os status em [Faturas](/pages/v2/faturas/reference).
